Ver Mensaje Individual
  #1 (permalink)  
Antiguo 17/03/2021, 12:39
xoceunder
 
Fecha de Ingreso: junio-2012
Ubicación: En el Mundo
Mensajes: 748
Antigüedad: 9 años, 4 meses
Puntos: 9
duda en poder ejecutar varios comando

Hola es que estoy tratando de hacer un script para poder ejecutar varios script cada vez que termine el esta ejectado

tengo esto que consegui pero no me funciona muy bien como quiero

Código BASH:
Ver original
  1. #!/usr/bin/env bash
  2.  
  3. set -m # allow for job control
  4. EXIT_CODE=0;  # exit code of overall script
  5.  
  6. function foo() {
  7.      echo "CHLD exit code is $1"
  8.      echo "CHLD pid is $2"
  9.      echo $(jobs -l)
  10.  
  11.      for job in `jobs -p`; do
  12.          echo "PID => ${job}"
  13.          wait ${job} ||  echo "At least one test failed with exit code => $?" ; EXIT_CODE=1
  14.      done
  15. }
  16.  
  17. trap 'foo $? $$' CHLD
  18.  
  19. DIRN=$(dirname "$0");
  20.  
  21. commands=(
  22.     "{ cd PR && ./epg && exit 4; }"
  23.     "{ cd NY && ./epg && exit 3; }"
  24.     "{ cd MX && ./epg && exit 5; }"
  25. )
  26.  
  27. clen=`expr "${#commands[@]}" - 1` # get length of commands - 1
  28.  
  29. for i in `seq 0 "$clen"`; do
  30.     (echo "${commands[$i]}" | sh) &   # run the command via bash in subshell
  31.     echo "$i ith command has been issued as a background job"
  32. done
  33.  
  34. # wait for all to finish
  35. wait;
  36.  
  37. echo "EXIT_CODE => $EXIT_CODE"
  38. exit "$EXIT_CODE"
  39.  
  40. # end

si podrian ayudar gracias en antemano